드리프트 점수, 정책, 측정값 기록(CT 트리거) 및 PSI/KS 시계열.

GET /api/v1/drift/scores

GET/api/v1/drift/scores

모델별 최신 드리프트 점수

호출자 테넌트의 모델별 최신 드리프트 점수입니다.

Permission: VIEW

Parameters

NameInTypeRequiredDescription
statusquerystring?DRIFT | NORMAL
pagequeryinteger
page_sizequeryinteger?
qquerystring?이름 부분 일치 검색
sortquerystring?정렬 키
orderquerystringasc | desc

Responses

StatusDescription
200Successful Response (object)
422Validation Error (HTTPValidationError)

GET /api/v1/drift/policy

GET/api/v1/drift/policy

유효 드리프트 정책

모델의 유효 드리프트 정책을 결정합니다.

Permission: VIEW

Parameters

NameInTypeRequiredDescription
modelquerystring?

Responses

StatusDescription
200Successful Response (object)
422Validation Error (HTTPValidationError)

PUT /api/v1/drift/policy

PUT/api/v1/drift/policy

드리프트 정책 업서트

드리프트 정책을 생성하거나 갱신합니다 (모델별 또는 테넌트 기본).

Permission: SETTINGS

Request body: application/json, PolicyBody

FieldTypeRequiredDescription
model_namestring?Model Name
psi_warnnumberPsi Warn
psi_criticalnumberPsi Critical
ks_pvalue_thresholdnumberKs Pvalue Threshold
auto_promote_ruleobjectAuto Promote Rule
human_requiredbooleanHuman Required

Responses

StatusDescription
200Successful Response (object)
422Validation Error (HTTPValidationError)

POST /api/v1/drift/evaluate

POST/api/v1/drift/evaluate

드리프트 측정값 기록 (CT 트리거)

드리프트 측정값을 기록하고 정책에 따라 평가합니다.

Permission: OPERATE

Request body: application/json, EvaluateBody

FieldTypeRequiredDescription
model_namestringModel Name
psinumberPsi
ks_statnumberKs Stat
ks_pvaluenumberKs Pvalue

Responses

StatusDescription
200Successful Response (object)
422Validation Error (HTTPValidationError)

GET /api/v1/drift/{model}/timeline

GET/api/v1/drift/{model}/timeline

PSI/KS 시계열

단일 모델의 시간순 PSI/KS 드리프트 기록입니다.

Permission: VIEW

Parameters

NameInTypeRequiredDescription
modelpathstring
rangequerystring

Responses

StatusDescription
200Successful Response (object)
422Validation Error (HTTPValidationError)

GET /api/v1/drift/{model}/ct-history

GET/api/v1/drift/{model}/ct-history

CT 트리거 기록

모델의 CT 트리거 기록입니다.

Permission: VIEW

Parameters

NameInTypeRequiredDescription
modelpathstring

Responses

StatusDescription
200Successful Response (object)
422Validation Error (HTTPValidationError)

GET /api/v1/drift/{model}/automl

GET/api/v1/drift/{model}/automl

AutoML 후보 비교 (M4+)

모델의 AutoML 후보 비교입니다 (M4+ 예정).

Permission: VIEW

Parameters

NameInTypeRequiredDescription
modelpathstring

Responses

StatusDescription
200Successful Response (object)
422Validation Error (HTTPValidationError)

Written for the platform as of 2026-09-21.

© Geo-MLOps